<template>
  <div class="bg-container">
    <div class="container">
      <div id="viewer"></div>
    </div>
  </div>
</template>

<script setup>
import { tidoConfig } from '../utilities/tido-config-with-translation.js';
import { usePageData } from '@vuepress/client';
import { onMounted } from "vue";

const page = usePageData();

onMounted(() => {
  const baseUrlApi = import.meta.env.VITE_APP_BASE_URL_API;
  if (!baseUrlApi) return;

  const previousTidoPage = document.body.getAttribute('data-prev-tido');
  const language = page.value.path.split('.')[0].replace('/', '');

  if (previousTidoPage && previousTidoPage !== language) {
    // Remove all query params from URL (the router leaves TIDO query params in place, when you switch pages in Vuepress
    // so this is a quick fix to get rid of them)
    window.history.replaceState({}, document.title, page.value.path);
  }

  document.body.setAttribute('data-prev-tido', language);

  const collection =
    language === 'arabic-karshuni'
      ? `${baseUrlApi}/textapi/ahiqar/arabic-karshuni/collection.json`
      : `${baseUrlApi}/textapi/ahiqar/syriac/collection.json`;

  if (window.tido) {
    window.tido.destroy();
  }
  new window.Tido({
    ...tidoConfig,
    collection
  });
})

</script>

<style lang="scss">
.bg-container {
  height: 100%;
  background-color: rgb(229 229 229);

  html.dark & {
    background-color: rgb(23 23 23);
  }

  .container {
    height: 100%;
  }
}

@media (max-width: 1903px) {
  .container {
    max-width: 100% !important;
  }
}

@media (min-width: 1904px) {
  .container {
    max-width: 1860px;
  }
}

#viewer {
  width: 100%;
  height: 100%;
}

.tido .header, .tido .panels-wrapper {
  padding-left: 0;
  padding-right: 0;
}
</style>
